Subject: Re: [PATCH v2 00/10] split out emac cpdma and mdio for reuse

From: Kevin Hilman <[email-masked]>
Date: Tue, 07 Sep 2010 08:23:43 -0700

Cyril Chemparathy <[email-masked]> writes:

> Davinci's EMAC device has an in-built MDIO controller and a CPDMA engine.
> These hardware modules are not restricted to EMAC device alone.  For example,
> CPSW3G (3-port gigabit ethernet switch) hardware uses these very same modules
> internally.  This patch series separates out EMAC's MDIO and CPDMA
> functionality, allowing these individual pieces to be reused across TI
> hardware.  

Tony,

The AM3517 also uses this davinci EMAC driver and is modified by this
series.   With your ack, I'll merge the OMAP changes along with this
series via the davinci tree. 

OK with you?

Kevin